Upstream information

CVE-2009-3076 at MITRE

Description

Mozilla Firefox before 3.0.14 does not properly implement certain dialogs associated with the (1) pkcs11.addmodule and (2) pkcs11.deletemodule operations, which makes it easier for remote attackers to trick a user into installing or removing an arbitrary PKCS11 module.

SUSE information

Overall state of this security issue: Ignore

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 9.3
Vector AV:N/AC:M/Au:N/C:C/I:C/A:C
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
SUSE Bugzilla entries: 534458 [RESOLVED / FIXED], 538290 [RESOLVED / DUPLICATE]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 11
  • mozilla-xulrunner190 >= 1.9.0.14-1.1.1
  • mozilla-xulrunner190-32bit >= 1.9.0.14-1.1.1
  • mozilla-xulrunner190-gnomevfs >= 1.9.0.14-1.1.1
  • mozilla-xulrunner190-translations >= 1.9.0.14-1.1.1
  • mozilla-xulrunner190-x86 >= 1.9.0.9-0.1.1
Patchnames:
slessp0-mozilla-xulrunner190
SUSE Linux Enterprise Server 11 SP1
  • mozilla-xulrunner190 >= 1.9.0.19-0.1.1
  • mozilla-xulrunner190-32bit >= 1.9.0.19-0.1.1
  • mozilla-xulrunner190-gnomevfs >= 1.9.0.19-0.1.1
  • mozilla-xulrunner190-translations >= 1.9.0.19-0.1.1
  • mozilla-xulrunner190-x86 >= 1.9.0.19-0.1.1
Patchnames:
SUSE Linux Enterprise Server 11 SP1 GA mozilla-xulrunner190
SUSE Linux Enterprise Server for SAP Applications 11
  • mozilla-xulrunner190 >= 1.9.0.14-1.1.1
  • mozilla-xulrunner190-32bit >= 1.9.0.14-1.1.1
  • mozilla-xulrunner190-gnomevfs >= 1.9.0.14-1.1.1
  • mozilla-xulrunner190-translations >= 1.9.0.14-1.1.1
  • mozilla-xulrunner190-x86 >= 1.9.0.9-0.1.1
Patchnames:
slessp0-mozilla-xulrunner190
SUSE Linux Enterprise SDK 10 SP2
  • MozillaFirefox-branding-upstream >= 3.5.3-1.4.2
  • mozilla-xulrunner190-devel >= 1.9.0.14-0.5.2
  • mozilla-xulrunner191-devel >= 1.9.1.3-1.4.2
  • python-xpcom190 >= 1.9.0.14-0.5.2
  • python-xpcom191 >= 1.9.1.3-1.4.2
sle10-sp2-sdk.ia64
sles10-sp2.ppc
sles10-sp2.x86-64
sled10-sp2.x86
sles10-sp2-debuginfo.x86
sles10-sp2.s390x
sle10-sp2-sdk.x86-64
sle10-sp2-sdk.ppc
sles10-sp2-debuginfo.x86
sles10-sp2-debuginfo.ppc
sles10-sp2-debuginfo.ppc
sle10-sp2-sdk.x86
sles10-sp2.s390x
sle10-sp2-sdk.x86-64
sles10-sp2-debuginfo.ia64
sles10-sp2.x86
sles10-sp2-debuginfo.s390x
sles10-sp2.ia64
sles10-sp2-debuginfo.s390x
sles10-sp2.x86
sled10-sp2.x86-64
sles10-sp2-debuginfo.x86-64
sles10-sp2.ppc
sles10-sp2-debuginfo.x86-64
sle10-sp2-sdk.x86
sle10-sp2-sdk.s390x
sle10-sp2-sdk.s390x
sles10-sp2.x86-64
sle10-sp2-sdk.ia64
sles10-sp2.ia64
sle10-sp2-sdk.ppc
sles10-sp2-debuginfo.ia64
ZYPP Patch Nr: 6562
SUSE Linux Enterprise Desktop 10 SP3 for x86
SUSE Linux Enterprise Server 10 SP3
  • MozillaFirefox >= 3.5.3-1.5.3
  • MozillaFirefox-branding-SLED >= 3.5-1.6.7
  • MozillaFirefox-translations >= 3.5.3-1.5.3
  • mozilla-xulrunner190 >= 1.9.0.14-0.6.6
  • mozilla-xulrunner190-gnomevfs >= 1.9.0.14-0.6.6
  • mozilla-xulrunner190-translations >= 1.9.0.14-0.6.6
  • mozilla-xulrunner191 >= 1.9.1.3-1.5.7
  • mozilla-xulrunner191-gnomevfs >= 1.9.1.3-1.5.7
  • mozilla-xulrunner191-translations >= 1.9.1.3-1.5.7
sles10-sp3-debuginfo.x86-64
sled10-sp3.x86-64
sles10-sp3.x86
sles10-sp3.ia64
sles10-sp3.x86-64
sled10-sp3.x86
sle10-sp3-sdk.ppc
sles10-sp3-debuginfo.x86
sle10-sp3-sdk.x86
sles10-sp3.s390x
sles10-sp3-debuginfo.ppc
sles10-sp3-debuginfo.ia64
sle10-sp3-sdk.s390x
sle10-sp3-sdk.ia64
sles10-sp3-debuginfo.s390x
sles10-sp3.ppc
sle10-sp3-sdk.x86-64
ZYPP Patch Nr: 6563
SUSE Linux Enterprise Desktop 10 SP3 for AMD64 and Intel EM64T
SUSE Linux Enterprise SDK 10 SP3
  • MozillaFirefox >= 3.5.3-1.5.3
  • MozillaFirefox-branding-SLED >= 3.5-1.6.7
  • MozillaFirefox-translations >= 3.5.3-1.5.3
  • mozilla-xulrunner190 >= 1.9.0.14-0.6.6
  • mozilla-xulrunner190-32bit >= 1.9.0.14-0.6.6
  • mozilla-xulrunner190-gnomevfs >= 1.9.0.14-0.6.6
  • mozilla-xulrunner190-gnomevfs-32bit >= 1.9.0.14-0.6.6
  • mozilla-xulrunner190-translations >= 1.9.0.14-0.6.6
  • mozilla-xulrunner190-translations-32bit >= 1.9.0.14-0.6.6
  • mozilla-xulrunner191 >= 1.9.1.3-1.5.7
  • mozilla-xulrunner191-32bit >= 1.9.1.3-1.5.7
  • mozilla-xulrunner191-gnomevfs >= 1.9.1.3-1.5.7
  • mozilla-xulrunner191-gnomevfs-32bit >= 1.9.1.3-1.5.7
  • mozilla-xulrunner191-translations >= 1.9.1.3-1.5.7
  • mozilla-xulrunner191-translations-32bit >= 1.9.1.3-1.5.7
sles10-sp3-debuginfo.x86-64
sled10-sp3.x86-64
sles10-sp3.x86
sles10-sp3.ia64
sles10-sp3.x86-64
sled10-sp3.x86
sle10-sp3-sdk.ppc
sles10-sp3-debuginfo.x86
sle10-sp3-sdk.x86
sles10-sp3.s390x
sles10-sp3-debuginfo.ppc
sles10-sp3-debuginfo.ia64
sle10-sp3-sdk.s390x
sle10-sp3-sdk.ia64
sles10-sp3-debuginfo.s390x
sles10-sp3.ppc
sle10-sp3-sdk.x86-64
ZYPP Patch Nr: 6563
SUSE Linux Enterprise SDK 10 SP3
  • MozillaFirefox-branding-upstream >= 3.5.3-1.5.3
  • mozilla-xulrunner190-devel >= 1.9.0.14-0.6.6
  • mozilla-xulrunner191-devel >= 1.9.1.3-1.5.7
  • python-xpcom190 >= 1.9.0.14-0.6.6
  • python-xpcom191 >= 1.9.1.3-1.5.7
sles10-sp3-debuginfo.x86-64
sled10-sp3.x86-64
sles10-sp3.x86
sles10-sp3.ia64
sles10-sp3.x86-64
sled10-sp3.x86
sle10-sp3-sdk.ppc
sles10-sp3-debuginfo.x86
sle10-sp3-sdk.x86
sles10-sp3.s390x
sles10-sp3-debuginfo.ppc
sles10-sp3-debuginfo.ia64
sle10-sp3-sdk.s390x
sle10-sp3-sdk.ia64
sles10-sp3-debuginfo.s390x
sles10-sp3.ppc
sle10-sp3-sdk.x86-64
ZYPP Patch Nr: 6563
openSUSE 11.0
  • MozillaFirefox-debuginfo >= 3.0.14-0.1
  • MozillaFirefox-debugsource >= 3.0.14-0.1
  • mozilla-xulrunner190-debuginfo >= 1.9.0.14-0.1
  • mozilla-xulrunner190-debugsource >= 1.9.0.14-0.1
openSUSE 11.0
  • MozillaFirefox >= 3.0.14-0.1
  • MozillaFirefox-translations >= 3.0.14-0.1
  • mozilla-xulrunner190 >= 1.9.0.14-0.1
  • mozilla-xulrunner190-32bit >= 1.9.0.14-0.1
  • mozilla-xulrunner190-64bit >= 1.9.0.14-0.1
  • mozilla-xulrunner190-devel >= 1.9.0.14-0.1
  • mozilla-xulrunner190-gnomevfs >= 1.9.0.14-0.1
  • mozilla-xulrunner190-gnomevfs-32bit >= 1.9.0.14-0.1
  • mozilla-xulrunner190-gnomevfs-64bit >= 1.9.0.14-0.1
  • mozilla-xulrunner190-translations >= 1.9.0.14-0.1
  • mozilla-xulrunner190-translations-32bit >= 1.9.0.14-0.1
  • mozilla-xulrunner190-translations-64bit >= 1.9.0.14-0.1
openSUSE 11.1
  • MozillaFirefox-debuginfo >= 3.0.14-0.1.2
  • MozillaFirefox-debugsource >= 3.0.14-0.1.2
  • mozilla-xulrunner190-debuginfo >= 1.9.0.14-0.1.1
  • mozilla-xulrunner190-debuginfo-32bit >= 1.9.0.14-0.1.1
  • mozilla-xulrunner190-debugsource >= 1.9.0.14-0.1.1
openSUSE 11.1
  • MozillaFirefox >= 3.0.14-0.1.2
  • MozillaFirefox-branding-upstream >= 3.0.14-0.1.2
  • MozillaFirefox-translations >= 3.0.14-0.1.2
  • mozilla-xulrunner190 >= 1.9.0.14-0.1.1
  • mozilla-xulrunner190-32bit >= 1.9.0.14-0.1.1
  • mozilla-xulrunner190-devel >= 1.9.0.14-0.1.1
  • mozilla-xulrunner190-gnomevfs >= 1.9.0.14-0.1.1
  • mozilla-xulrunner190-gnomevfs-32bit >= 1.9.0.14-0.1.1
  • mozilla-xulrunner190-translations >= 1.9.0.14-0.1.1
  • mozilla-xulrunner190-translations-32bit >= 1.9.0.14-0.1.1
  • python-xpcom190 >= 1.9.0.14-0.1.1
SUSE Linux Enterprise SDK 11 GA
  • mozilla-xulrunner190-devel >= 1.9.0.14-1.1.1
sle11-sdk.s390x
sles11.ia64
sle11-sdk.x86-64
sle11-debuginfo.x86
sle11-sdk.x86
sled11.x86-64
sle11-sdk.ia64
sle11-sdk.ppc
sle11-debuginfo.ia64
sled11.x86
sles11.x86-64
sle11-debuginfo.s390x
sles11.x86
sle11-debuginfo.ppc
sle11-debuginfo.x86-64
sles11.ppc
sles11.s390x
SAT Patch Nr: 1328
SUSE Linux Enterprise SDK 11 GA
  • mozilla-xulrunner190-devel >= 1.9.0.14-1.1.1
  • mozilla-xulrunner190-gnomevfs-x86 >= 1.9.0.14-1.1.1
  • mozilla-xulrunner190-translations-x86 >= 1.9.0.14-1.1.1
sle11-sdk.s390x
sles11.ia64
sle11-sdk.x86-64
sle11-debuginfo.x86
sle11-sdk.x86
sled11.x86-64
sle11-sdk.ia64
sle11-sdk.ppc
sle11-debuginfo.ia64
sled11.x86
sles11.x86-64
sle11-debuginfo.s390x
sles11.x86
sle11-debuginfo.ppc
sle11-debuginfo.x86-64
sles11.ppc
sles11.s390x
SAT Patch Nr: 1328
SUSE Linux Enterprise SDK 11 GA
  • mozilla-xulrunner190-devel >= 1.9.0.14-1.1.1
  • mozilla-xulrunner190-gnomevfs-32bit >= 1.9.0.14-1.1.1
  • mozilla-xulrunner190-translations-32bit >= 1.9.0.14-1.1.1
sle11-sdk.s390x
sles11.ia64
sle11-sdk.x86-64
sle11-debuginfo.x86
sle11-sdk.x86
sled11.x86-64
sle11-sdk.ia64
sle11-sdk.ppc
sle11-debuginfo.ia64
sled11.x86
sles11.x86-64
sle11-debuginfo.s390x
sles11.x86
sle11-debuginfo.ppc
sle11-debuginfo.x86-64
sles11.ppc
sles11.s390x
SAT Patch Nr: 1328
SUSE Linux Enterprise SDK 11 GA
  • mozilla-xulrunner190-devel >= 1.9.0.14-1.1.2
  • mozilla-xulrunner190-gnomevfs-32bit >= 1.9.0.14-1.1.2
  • mozilla-xulrunner190-translations-32bit >= 1.9.0.14-1.1.2
sle11-sdk.s390x
sles11.ia64
sle11-sdk.x86-64
sle11-debuginfo.x86
sle11-sdk.x86
sled11.x86-64
sle11-sdk.ia64
sle11-sdk.ppc
sle11-debuginfo.ia64
sled11.x86
sles11.x86-64
sle11-debuginfo.s390x
sles11.x86
sle11-debuginfo.ppc
sle11-debuginfo.x86-64
sles11.ppc
sles11.s390x
SAT Patch Nr: 1328
SUSE Linux Enterprise Desktop 11 GA
SUSE Linux Enterprise Server 11 GA
  • mozilla-xulrunner190 >= 1.9.0.14-1.1.1
  • mozilla-xulrunner190-gnomevfs >= 1.9.0.14-1.1.1
  • mozilla-xulrunner190-translations >= 1.9.0.14-1.1.1
sle11-sdk.s390x
sles11.ia64
sle11-sdk.x86-64
sle11-debuginfo.x86
sle11-sdk.x86
sled11.x86-64
sle11-sdk.ia64
sle11-sdk.ppc
sle11-debuginfo.ia64
sled11.x86
sles11.x86-64
sle11-debuginfo.s390x
sles11.x86
sle11-debuginfo.ppc
sle11-debuginfo.x86-64
sles11.ppc
sles11.s390x
SAT Patch Nr: 1328
SUSE Linux Enterprise Desktop 11 GA
  • mozilla-xulrunner190 >= 1.9.0.14-1.1.1
  • mozilla-xulrunner190-32bit >= 1.9.0.14-1.1.1
  • mozilla-xulrunner190-gnomevfs >= 1.9.0.14-1.1.1
  • mozilla-xulrunner190-gnomevfs-32bit >= 1.9.0.14-1.1.1
  • mozilla-xulrunner190-translations >= 1.9.0.14-1.1.1
  • mozilla-xulrunner190-translations-32bit >= 1.9.0.14-1.1.1
sle11-sdk.s390x
sles11.ia64
sle11-sdk.x86-64
sle11-debuginfo.x86
sle11-sdk.x86
sled11.x86-64
sle11-sdk.ia64
sle11-sdk.ppc
sle11-debuginfo.ia64
sled11.x86
sles11.x86-64
sle11-debuginfo.s390x
sles11.x86
sle11-debuginfo.ppc
sle11-debuginfo.x86-64
sles11.ppc
sles11.s390x
SAT Patch Nr: 1328
SUSE Linux Enterprise Server 11 GA
  • mozilla-xulrunner190 >= 1.9.0.14-1.1.1
  • mozilla-xulrunner190-gnomevfs >= 1.9.0.14-1.1.1
  • mozilla-xulrunner190-translations >= 1.9.0.14-1.1.1
  • mozilla-xulrunner190-x86 >= 1.9.0.14-1.1.1
sle11-sdk.s390x
sles11.ia64
sle11-sdk.x86-64
sle11-debuginfo.x86
sle11-sdk.x86
sled11.x86-64
sle11-sdk.ia64
sle11-sdk.ppc
sle11-debuginfo.ia64
sled11.x86
sles11.x86-64
sle11-debuginfo.s390x
sles11.x86
sle11-debuginfo.ppc
sle11-debuginfo.x86-64
sles11.ppc
sles11.s390x
SAT Patch Nr: 1328
SUSE Linux Enterprise Server 11 GA
  • mozilla-xulrunner190 >= 1.9.0.14-1.1.1
  • mozilla-xulrunner190-32bit >= 1.9.0.14-1.1.1
  • mozilla-xulrunner190-gnomevfs >= 1.9.0.14-1.1.1
  • mozilla-xulrunner190-translations >= 1.9.0.14-1.1.1
sle11-sdk.s390x
sles11.ia64
sle11-sdk.x86-64
sle11-debuginfo.x86
sle11-sdk.x86
sled11.x86-64
sle11-sdk.ia64
sle11-sdk.ppc
sle11-debuginfo.ia64
sled11.x86
sles11.x86-64
sle11-debuginfo.s390x
sles11.x86
sle11-debuginfo.ppc
sle11-debuginfo.x86-64
sles11.ppc
sles11.s390x
SAT Patch Nr: 1328
SUSE Linux Enterprise Server 11 GA
  • mozilla-xulrunner190 >= 1.9.0.14-1.1.2
  • mozilla-xulrunner190-32bit >= 1.9.0.14-1.1.2
  • mozilla-xulrunner190-gnomevfs >= 1.9.0.14-1.1.2
  • mozilla-xulrunner190-translations >= 1.9.0.14-1.1.2
sle11-sdk.s390x
sles11.ia64
sle11-sdk.x86-64
sle11-debuginfo.x86
sle11-sdk.x86
sled11.x86-64
sle11-sdk.ia64
sle11-sdk.ppc
sle11-debuginfo.ia64
sled11.x86
sles11.x86-64
sle11-debuginfo.s390x
sles11.x86
sle11-debuginfo.ppc
sle11-debuginfo.x86-64
sles11.ppc
sles11.s390x
SAT Patch Nr: 1328